/* WaveformView */

#import <Cocoa/Cocoa.h>

typedef enum {
    WFSine,
    WFRect,
    WFTriangle,
    WFSawtooth
} WFShape;

@interface WaveformViewController : NSObject
{
    IBOutlet NSMatrix *form;
    IBOutlet NSSlider *gain;
    IBOutlet NSSlider *phase;
    IBOutlet NSButton *state;
    IBOutlet NSSlider *wavecount;
    IBOutlet NSView *view;

    id delegate;
}
- (IBAction)modifiedAction:(id)sender;

- (void)setDelegate:(id)del;
- (id)delegate;

- (void)waveformViewControllerDidModify:(WaveformViewController *)v;

- (WFShape)shape;
- (double)gain;
- (double)phase;
- (NSCellStateValue)state;
- (unsigned)wavecount;
- (NSView *)view;

@end
